<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="Progress" />
    <processor name="DhcalMapping"/>
    <processor name="WireChamberCalibration" />
    <processor name="TimeSelection"/>
    <processor name="RemoveNoise"/>
    <processor name="LayerClusterProcessor"/>
    <processor name="NNClusterProcessor"/>
    <processor name="Output"/>
</execute>

<global>
    <parameter name="LCIOInputFiles"> __inputFile__ </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="-1" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <!--parameter name="GearXMLFile"> </parameter-->  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="Progress" type="DhcalProgressProcessor">
    <parameter name="Interval" value="100" />
</processor>

<processor name="DhcalMapping" type="DhcalMappingProcessor">
  <parameter name="IgnoreCellIDFiles"> badCells/__runNumber__/badCells.txt badCells/__runNumber__/badChips.txt badCells/__runNumber__/badRPC.txt badCells/__runNumber__/deadCells.txt badCells/__runNumber__/deadChips.txt </parameter>
</processor>

<processor name="WireChamberCalibration" type="WireChamberCalibrationProcessor">
    <parameter name="InputCollection"> WireChamberRawHits </parameter>
    <parameter name="OutputCollection"> WireChamberHits </parameter>
    <parameter name="HorizontalSlopes"> -0.175409596771 -0.174984287744 -0.178103142033 </parameter>
    <parameter name="VerticalSlopes"> 0.177104401967 0.175526548895 0.176354302908 </parameter>
    <parameter name="HorizontalResolutions"> 0.60 0.60 0.60 </parameter>
    <parameter name="VerticalResolutions"> 0.52 0.52 0.52 </parameter>
    <parameter name="XPositions"> -3.392294 -3.956241135 -0.3192137345 </parameter>
    <parameter name="YPositions"> -2.2348427 -1.8958927 -0.8168027 </parameter>
    <parameter name="ZPositions"> -374.5 -807.4 -1244.2 </parameter>
    <parameter name="Verbosity" > SILENT </parameter>
</processor>

<processor name="TimeSelection" type="HitTimeSelectionProcessor">
	<parameter name="InputCollection"> DhcHits </parameter>
	<parameter name="OutputCollection"> TimeSelectedDhcHits </parameter>
	<parameter name="MinHitTime"> -1900 </parameter>
	<parameter name="MaxHitTime"> -1700 </parameter>
	<parameter name="Verbosity" > MESSAGE </parameter> 
</processor>

<processor name="RemoveNoise" type="RemoveHitsProcessor">
    <parameter name="InputCollection"> TimeSelectedDhcHits </parameter>
    <parameter name="OutputCollection"> SelectedDhcHits </parameter>
</processor>

<processor name="LayerClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> SelectedDhcHits </parameter>
    <parameter name="OutputCollection"> LayerClusters </parameter>
    <parameter name="MaxDistanceUV" value="1" />
    <parameter name="MaxDistanceLayer" value="0" />
    <parameter name="Verbosity" > MESSAGE </parameter> 
</processor>

<processor name="NNClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> SelectedDhcHits </parameter>
    <parameter name="OutputCollection"> NNClusters </parameter>
    <parameter name="MaxDistanceUV" value="3" />
    <parameter name="MaxDistanceLayer" value="3" />
    <parameter name="Verbosity" > MESSAGE </parameter> 
</processor>

<processor name="Output" type="LCIOOutputProcessor">
    <!--Writes the current event to the specified LCIO outputfile. Needs to be the last ActiveProcessor.-->
    <!-- name of output file -->
    <parameter name="LCIOOutputFile" type="string"> __outputSlcio__ </parameter>
    <!--write mode for output file:  WRITE_APPEND or WRITE_NEW-->
    <parameter name="LCIOWriteMode" type="string"> WRITE_NEW </parameter>
</processor>

</marlin>
